"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useInterval;

var _react = require("react");

function useInterval(fn, delay, deps) {
  for (var _len = arguments.length, params = new Array(_len > 3 ? _len - 3 : 0), _key = 3; _key < _len; _key++) {
    params[_key - 3] = arguments[_key];
  }

  var fnRef = (0, _react.useRef)(fn);
  fnRef.current = fn;
  (0, _react.useEffect)(function () {
    var intervalId = setInterval.apply(void 0, [function () {
      fnRef.current.apply(fnRef, arguments);
    }, delay].concat(params));
    return function () {
      clearInterval(intervalId);
    };
  }, deps);
}